<?php
// Exit if accessed directly.
if ( !defined( 'ABSPATH' ) ) {
	exit;
}


?>

<div <?php echo Modula_Helper::generate_attributes( $data->item_attributes ) ?> >

	<div class="modula-item-content">
		<?php do_action( 'modula_album_item_before_link', $data ); ?>

		<a <?php echo Modula_Helper::generate_attributes( $data->link_attributes ); ?>></a>

		<?php do_action( 'modula_album_item_after_link', $data ); ?>

		<?php

		$image = '<img '. Modula_Helper::generate_attributes( $data->img_attributes ).'/>';

		$image_meta                    = wp_get_attachment_metadata( $data->img_attributes['data-image-id'] );

		if ( ! empty( $data->image_info ) ) {
			$image_meta['sizes']['custom'] = array(
					'file'      => $data->image_info['name'] . '-' . $data->image_info['suffix'] .'.' . $data->image_info['ext'],
					'width'     => $data->img_attributes['width'],
					'height'    => $data->img_attributes['height'],
					'mime-type' => $image_meta['sizes']['thumbnail']['mime-type']
			);
		}

		if( false == $data->remove_srcset ) {
			echo wp_image_add_srcset_and_sizes( $image, $image_meta, $data->img_attributes['data-image-id'] );
		} else {
			echo $image;
		}
		?>

		<div class="tilter__deco tilter__deco--shine">
			<div></div>
		</div>
		<div class="tilter__deco tilter__deco--lines"></div>

		<?php do_action( 'modula_album_item_after_image', $data ); ?>

		<div class="figc<?php echo '' == $data->title ? ' no-title' : '' ?><?php echo '' == $data->description ? ' no-description' : '' ?>">

			<div class="figc-inner">
				<?php if ( !$data->hide_title || $data->display_image_count ): ?>
					<h2 class='jtg-title'>
						<?php
						if ( !$data->hide_title ) {
							echo wp_kses_post( $data->title );
						}
						?>
						<?php if ( $data->image_count ) { ?>
							<span class="image_count">( <?php echo esc_html( $data->image_count ); ?> <?php echo ($data->image_count > 1) ? esc_html__( 'Images', 'modula-albums' ) : esc_html__( 'Image', 'modula-albums' ); ?>
								)</span>
						<?php } ?>
					</h2>
				<?php endif ?>
				<?php if ( !$data->hide_description && '' != $data->description ): ?>
					<p class="description">
						<?php echo wp_kses_post( $data->description ); ?>
					</p>
				<?php endif ?>
			</div>
		</div>
	</div>
</div>
